## oidc-agent 4.2.6

=== Makefile ===
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Darwin)
	MAC_OS = 1
endif
ifeq (, $(shell which dpkg-buildflags 2>/dev/null))
         NODPKG = 1
endif

# Where to store rpm source tarball
RPM_OUTDIR =rpm/rpmbuild/SOURCES

# Executable names
AGENT         = oidc-agent
GEN           = oidc-gen
ADD           = oidc-add
CLIENT        = oidc-token
KEYCHAIN      = oidc-keychain
AGENT_SERVICE = oidc-agent-service
PROMPT        = oidc-prompt

VERSION   ?= $(shell cat VERSION)
# DIST      = $(lsb_release -cs)
LIBMAJORVERSION ?= $(shell echo $(VERSION) | cut -d '.' -f 1)
# Generated lib version / name
LIBVERSION = $(VERSION)
ifdef MAC_OS
SONAME = liboidc-agent.$(LIBMAJORVERSION).dylib
SHARED_LIB_NAME_FULL = liboidc-agent.$(LIBVERSION).dylib
SHARED_LIB_NAME_SO = $(SONAME)
SHARED_LIB_NAME_SHORT = liboidc-agent.dylib
else
SONAME = liboidc-agent.so.$(LIBMAJORVERSION)
SHARED_LIB_NAME_FULL = liboidc-agent.so.$(LIBVERSION)
SHARED_LIB_NAME_SO = $(SONAME)
SHARED_LIB_NAME_SHORT = liboidc-agent.so
endif

# These are needed for the RPM build target:
#BASEDIR   = $(PWD)
BASEDIR   = $(shell pwd)
BASENAME := $(notdir $(BASEDIR))
SRC_TAR   = oidc-agent-$(VERSION).tar.gz
PKG_NAME  = oidc-agent

# Local dir names
SRCDIR   = src
OBJDIR   = obj
PICOBJDIR= pic-obj
BINDIR   = bin
LIBDIR   = lib
APILIB   = $(LIBDIR)/api
MANDIR 	 = man
CONFDIR  = config
PROVIDERCONFIG = issuer.config
PUBCLIENTSCONFIG = pubclients.config
SERVICECONFIG = oidc-agent-service.options

TESTSRCDIR = test/src
TESTBINDIR = test/bin

# USE_CJSON_SO ?= $(shell /sbin/ldconfig -N -v $(sed 's/:/ /g' <<< $LD_LIBRARY_PATH) 2>/dev/null | grep -i libcjson >/dev/null && echo 1 || echo 0)
USE_CJSON_SO ?= 0
USE_LIST_SO ?= $(shell /sbin/ldconfig -N -v $(sed 's/:/ /g' <<< $LD_LIBRARY_PATH) 2>/dev/null | grep -i liblist >/dev/null && echo 1 || echo 0)

ifeq ($(USE_CJSON_SO),1)
	DEFINE_USE_CJSON_SO = -DUSE_CJSON_SO
endif
ifeq ($(USE_LIST_SO),1)
	DEFINE_USE_LIST_SO = -DUSE_LIST_SO
endif

ifndef MAC_OS
	DIALOGTOOL ?= yad
else
	DIALOGTOOL ?= pashua
endif


LSODIUM = -lsodium
LARGP   = -largp
LMICROHTTPD = -lmicrohttpd
LCURL = -lcurl
LSECCOMP = -lseccomp
LSECRET = -lsecret-1
LGLIB = -lglib-2.0
LLIST = -llist
LCJSON = -lcjson
LQR = -lqrencode
LAGENT = -l:$(SHARED_LIB_NAME_FULL)
ifdef MAC_OS
	LAGENT = -loidc-agent.$(LIBVERSION)
endif

# Compiler options
CC       := $(CC)
# compiling flags here
CFLAGS   := $(CFLAGS) -g -std=c99 -I$(SRCDIR) -I$(LIBDIR)  -Wall -Wextra -fno-common
ifndef MAC_OS
ifndef NODPKG
	CFLAGS   +=$(shell dpkg-buildflags --get CPPFLAGS)
	CFLAGS   +=$(shell dpkg-buildflags --get CFLAGS)
endif
	CFLAGS += $(shell pkg-config --cflags libsecret-1)
	CFLAGS += $(shell pkg-config --cflags libseccomp)
endif
TEST_CFLAGS = $(CFLAGS) -I.

# Linker options
LINKER   := $(CC)
ifdef MAC_OS
LFLAGS   = $(LSODIUM) $(LARGP)
else
LFLAGS   := $(LDFLAGS) $(LSODIUM) $(LSECCOMP) -fno-common -Wl,-z,now
ifndef NODPKG
LFLAGS +=$(shell dpkg-buildflags --get LDFLAGS)
endif
endif
ifeq ($(USE_CJSON_SO),1)
	LFLAGS += $(LCJSON)
endif
ifeq ($(USE_LIST_SO),1)
	LFLAGS += $(LLIST)
endif
AGENT_LFLAGS = $(LCURL) $(LMICROHTTPD) $(LQR) $(LFLAGS)
ifndef MAC_OS
	AGENT_LFLAGS += $(LSECRET) $(LGLIB)
endif
GEN_LFLAGS = $(LFLAGS) $(LMICROHTTPD) $(LQR)
ADD_LFLAGS = $(LFLAGS)
ifdef MAC_OS
CLIENT_LFLAGS = -L$(APILIB) $(LARGP) $(LAGENT) $(LSODIUM)
else
CLIENT_LFLAGS := $(LDFLAGS) -L$(APILIB) $(LAGENT) $(LSODIUM) $(LSECCOMP)
ifndef NODPKG
	CLIENT_LFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
endif
endif
LIB_LFLAGS := $(LDFLAGS) -lc $(LSODIUM)
ifndef MAC_OS
ifndef NODPKG
	LIB_LFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
endif
endif
ifeq ($(USE_CJSON_SO),1)
	CLIENT_LFLAGS += $(LCJSON)
	LIB_LFLAGS += $(LCJSON)
endif
ifeq ($(USE_LIST_SO),1)
	CLIENT_LFLAGS += $(LLIST)
	LIB_LFLAGS += $(LLIST)
endif

TEST_LFLAGS = $(LFLAGS) $(shell pkg-config --cflags --libs check)

# Install paths
ifndef MAC_OS
PREFIX                    ?=
BIN_PATH                  ?=$(PREFIX)/usr# /bin is appended later
BIN_AFTER_INST_PATH       ?=$(BIN_PATH)# needed for debian package and desktop file exec
PROMPT_BIN_PATH           ?=$(PREFIX)/usr# /bin is appended later
LIB_PATH                  ?=$(PREFIX)/usr/lib/x86_64-linux-gnu
LIBDEV_PATH               ?=$(PREFIX)/usr/lib/x86_64-linux-gnu
INCLUDE_PATH              ?=$(PREFIX)/usr/include/x86_64-linux-gnu
MAN_PATH                  ?=$(PREFIX)/usr/share/man
PROMPT_MAN_PATH           ?=$(PREFIX)/usr/share/man
CONFIG_PATH               ?=$(PREFIX)/etc
CONFIG_AFTER_INST_PATH    ?=$(CONFIG_PATH)
BASH_COMPLETION_PATH      ?=$(PREFIX)/usr/share/bash-completion/completions
DESKTOP_APPLICATION_PATH  ?=$(PREFIX)/usr/share/applications
XSESSION_PATH             ?=$(PREFIX)/etc/X11
else
PREFIX                    ?=/usr/local
BIN_PATH                  ?=$(PREFIX)# /bin is appended later
BIN_AFTER_INST_PATH       ?=$(BIN_PATH)# needed for debian package and desktop file exec
PROMPT_BIN_PATH           ?=$(PREFIX)# /bin is appended later
LIB_PATH                  ?=$(PREFIX)/lib
LIBDEV_PATH               ?=$(PREFIX)/lib
INCLUDE_PATH              ?=$(PREFIX)/include
MAN_PATH                  ?=$(PREFIX)/share/man
PROMPT_MAN_PATH           ?=$(PREFIX)/share/man
CONFIG_PATH               ?=$(PREFIX)/etc
CONFIG_AFTER_INST_PATH    ?=$(CONFIG_PATH)
endif

# Define sources
SRC_SOURCES := $(sort $(shell find $(SRCDIR) -name "*.c"))
ifneq ($(USE_CJSON_SO),1)
	LIB_SOURCES += $(LIBDIR)/cJSON/cJSON.c
endif
ifneq ($(USE_LIST_SO),1)
	LIB_SOURCES += $(LIBDIR)/list/list.c $(LIBDIR)/list/list_iterator.c $(LIBDIR)/list/list_node.c
endif
SOURCES  := $(SRC_SOURCES) $(LIB_SOURCES)

GENERAL_SOURCES := $(sort $(shell find $(SRCDIR)/utils -name "*.c") $(shell find $(SRCDIR)/account -name "*.c") $(shell find $(SRCDIR)/ipc -name "*.c") $(shell find $(SRCDIR)/defines -name "*.c"))
ifndef MAC_OS
	GENERAL_SOURCES += $(sort $(shell find $(SRCDIR)/privileges -name "*.c"))
endif
AGENT_SOURCES_TMP := $(sort $(shell find $(SRCDIR)/$(AGENT) -name "*.c"))
ifdef MAC_OS
	AGENT_SOURCES= $(filter-out $(SRCDIR)/$(AGENT)/oidcp/passwords/keyring.c, $(AGENT_SOURCES_TMP))
else
	AGENT_SOURCES = $(AGENT_SOURCES_TMP)
endif
GEN_SOURCES := $(sort $(shell find $(SRCDIR)/$(GEN) -name "*.c"))
ADD_SOURCES := $(sort $(shell find $(SRCDIR)/$(ADD) -name "*.c"))
CLIENT_SOURCES := $(sort $(filter-out $(SRCDIR)/$(CLIENT)/api.c $(SRCDIR)/$(CLIENT)/parse.c, $(shell find $(SRCDIR)/$(CLIENT) -name "*.c")))
KEYCHAIN_SOURCES := $(SRCDIR)/$(KEYCHAIN)/$(KEYCHAIN)
TEST_SOURCES :=  $(sort $(filter-out $(TESTSRCDIR)/main.c, $(shell find $(TESTSRCDIR) -name "*.c")))
PROMPT_SRCDIR := $(SRCDIR)/$(PROMPT)
AGENTSERVICE_SRCDIR := $(SRCDIR)/$(AGENT_SERVICE)

# Define objects
ALL_OBJECTS  := $(SRC_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(LIB_SOURCES:$(LIBDIR)/%.c=$(OBJDIR)/%.o)
AGENT_OBJECTS  := $(AGENT_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(GENERAL_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(LIB_SOURCES:$(LIBDIR)/%.c=$(OBJDIR)/%.o) $(OBJDIR)/$(GEN)/qr.o
GEN_OBJECTS  := $(GEN_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(GENERAL_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(OBJDIR)/oidc-agent/httpserver/termHttpserver.o $(OBJDIR)/oidc-agent/httpserver/running_server.o $(OBJDIR)/oidc-agent/oidc/device_code.o $(OBJDIR)/$(CLIENT)/parse.o $(OBJDIR)/$(CLIENT)/api.o $(LIB_SOURCES:$(LIBDIR)/%.c=$(OBJDIR)/%.o)
ADD_OBJECTS  := $(ADD_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(GENERAL_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(LIB_SOURCES:$(LIBDIR)/%.c=$(OBJDIR)/%.o)
API_OBJECTS := $(OBJDIR)/$(CLIENT)/api.o $(OBJDIR)/$(CLIENT)/parse.o $(OBJDIR)/ipc/ipc.o $(OBJDIR)/ipc/cryptCommunicator.o $(OBJDIR)/ipc/cryptIpc.o $(OBJDIR)/utils/crypt/crypt.o $(OBJDIR)/utils/crypt/ipcCryptUtils.o $(OBJDIR)/utils/json.o $(OBJDIR)/utils/oidc_error.o $(OBJDIR)/utils/memory.o $(OBJDIR)/utils/string/stringUtils.o $(OBJDIR)/utils/colors.o $(OBJDIR)/utils/printer.o $(OBJDIR)/utils/ipUtils.o $(OBJDIR)/utils/listUtils.o $(OBJDIR)/utils/logger.o $(LIB_SOURCES:$(LIBDIR)/%.c=$(OBJDIR)/%.o)
ifdef MAC_OS
	API_OBJECTS += $(OBJDIR)/utils/file_io/oidc_file_io.o $(OBJDIR)/utils/file_io/file_io.o
endif
PIC_OBJECTS := $(API_OBJECTS:$(OBJDIR)/%=$(PICOBJDIR)/%)
CLIENT_OBJECTS := $(CLIENT_SOURCES:$(SRCDIR)/%.c=$(OBJDIR)/%.o) $(API_OBJECTS) $(OBJDIR)/utils/disableTracing.o
ifndef MAC_OS
	CLIENT_OBJECTS += $(OBJDIR)/utils/file_io/oidc_file_io.o $(OBJDIR)/utils/file_io/file_io.o $(OBJDIR)/privileges/privileges.o $(OBJDIR)/privileges/token_privileges.o
endif

rm       = rm -f

# RULES

.PHONY: all
all: build man


-include docker/docker.mk


# Compiling

.PHONY: build
build: create_obj_dir_structure $(BINDIR)/$(AGENT) $(BINDIR)/$(GEN) $(BINDIR)/$(ADD) $(BINDIR)/$(CLIENT) $(BINDIR)/$(AGENT_SERVICE) $(BINDIR)/$(KEYCHAIN) $(BINDIR)/$(PROMPT)

## pull in dependency info for *existing* .o files
-include $(ALL_OBJECTS:.o=.d)

## Compile and generate depencency info
$(OBJDIR)/$(CLIENT)/$(CLIENT).o : $(APILIB)/$(SHARED_LIB_NAME_FULL)
$(OBJDIR)/%.o : $(SRCDIR)/%.c
	@$(CC) $(CFLAGS) -c $< -o $@ -DVERSION=\"$(VERSION)\" -DCONFIG_PATH=\"$(CONFIG_AFTER_INST_PATH)\" $(DEFINE_USE_CJSON_SO) $(DEFINE_USE_LIST_SO)
	@# Create dependency infos
	@{ \
	set -e ;\
	depFileName=$(OBJDIR)/$*.d ;\
	$(CC) -MM $(CFLAGS) $< -o $${depFileName} ;\
	mv -f $${depFileName} $${depFileName}.tmp ;\
	sed -e 's|.*:|$@:|' < $${depFileName}.tmp > $${depFileName} ;\
	cp -f $${depFileName} $${depFileName}.tmp ;\
	sed -e 's/.*://' -e 's/\\$$//' < $${depFileName}.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $${depFileName} ;\
	rm -f $${depFileName}.tmp ;\
	}
	@echo "Compiled "$<" successfully!"

## Compile lib sources
$(OBJDIR)/%.o : $(LIBDIR)/%.c
	@$(CC) $(CFLAGS) -c $< -o $@
	@echo "Compiled "$<" successfully!"

## Compile position independent code
$(PICOBJDIR)/%.o : $(SRCDIR)/%.c
	@$(CC) $(CFLAGS) -fpic -fvisibility=hidden -c $< -o $@ -DVERSION=\"$(VERSION)\" -DCONFIG_PATH=\"$(CONFIG_AFTER_INST_PATH)\"
	@echo "Compiled "$<" with pic successfully!"

$(PICOBJDIR)/%.o : $(LIBDIR)/%.c
	@$(CC) $(CFLAGS) -fpic -fvisibility=hidden -c $< -o $@
	@echo "Compiled "$<" with pic successfully!"


# Linking

$(BINDIR)/$(AGENT): create_obj_dir_structure $(AGENT_OBJECTS) $(BINDIR)
	@$(LINKER) $(AGENT_OBJECTS) $(AGENT_LFLAGS) -o $@
	@echo "Linking "$@" complete!"

$(BINDIR)/$(GEN): create_obj_dir_structure $(GEN_OBJECTS) $(BINDIR)
	@$(LINKER) $(GEN_OBJECTS) $(GEN_LFLAGS) -o $@
	@echo "Linking "$@" complete!"

$(BINDIR)/$(ADD): create_obj_dir_structure $(ADD_OBJECTS) $(BINDIR)
	@$(LINKER) $(ADD_OBJECTS) $(ADD_LFLAGS) -o $@
	@echo "Linking "$@" complete!"

$(BINDIR)/$(CLIENT): create_obj_dir_structure $(CLIENT_OBJECTS) $(APILIB)/$(SHARED_LIB_NAME_FULL) $(BINDIR)
	@$(LINKER) $(CLIENT_OBJECTS) $(CLIENT_LFLAGS) -o $@
	@echo "Linking "$@" complete!"

$(BINDIR)/$(KEYCHAIN): $(KEYCHAIN_SOURCES)
	@cat $(KEYCHAIN_SOURCES) >$@ && chmod 755 $@
	@echo "Building "$@" complete!"

$(BINDIR)/$(PROMPT): $(PROMPT_SRCDIR)/$(PROMPT)
	@sed -n '/OIDC_INCLUDE/!p;//q' $<  >$@
	@cat $(PROMPT_SRCDIR)/$(PROMPT)_$(DIALOGTOOL) >>$@
	@sed '1,/OIDC_INCLUDE/d' $< >>$@
	@chmod 755 $@
	@echo "Building "$@" complete!"

$(BINDIR)/$(AGENT_SERVICE): $(AGENTSERVICE_SRCDIR)/$(AGENT_SERVICE) $(AGENTSERVICE_SRCDIR)/options
	@sed -n '/OIDC_INCLUDE/!p;//q' $< | sed 's!/usr/bin/oidc-agent!$(BIN_AFTER_INST_PATH)/bin/$(AGENT)!'  >$@
	@sed 's!/etc/oidc-agent!$(CONFIG_AFTER_INST_PATH)/oidc-agent!' $(AGENTSERVICE_SRCDIR)/options >>$@
	@sed '1,/OIDC_INCLUDE/d' $< >>$@
	@chmod 755 $@
	@echo "Building "$@" complete!"

# Phony Installer

.PHONY: install
ifndef MAC_OS
install: install_bin install_man install_conf install_bash install_priv install_scheme_handler install_xsession_script
else
install: install_bin install_man install_conf install_scheme_handler
endif
	@echo "Installation complete!"

.PHONY: install_bin
install_bin: $(BIN_PATH)/bin/$(AGENT) $(BIN_PATH)/bin/$(GEN) $(BIN_PATH)/bin/$(ADD) $(BIN_PATH)/bin/$(CLIENT) $(BIN_PATH)/bin/$(KEYCHAIN) $(BIN_PATH)/bin/$(AGENT_SERVICE) $(PROMPT_BIN_PATH)/bin/$(PROMPT)
	@echo "Installed binaries"

.PHONY: install_conf

=== debian/changelog ===
oidc-agent (4.2.6-1) unstable; urgency=medium

  * Update new version from upstream

 -- Marcus Hardt <marcus@hardt-it.de>  Thu, 13 Jan 2022 15:42:38 +0200

oidc-agent (4.2.5-1) unstable; urgency=medium

  * Initial package for Debian. (Closes: #980462)
  * Upgrade to standards version 4.6.0.1 (no changes needed)

 -- Marcus Hardt <marcus@hardt-it.de>  Tue, 28 Dec 2021 12:51:36 +0200

=== debian/control ===
Source: oidc-agent
Section: misc
Priority: optional
Maintainer: Marcus Hardt <marcus@hardt-it.de>
Homepage: https://github.com/indigo-dc/oidc-agent/
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/debian/oidc-agent.git
Vcs-Browser: https://salsa.debian.org/debian/oidc-agent
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libcurl4-openssl-dev (>= 7.35.0),
               libsodium-dev (>= 1.0.14),
               help2man (>= 1.46.4),
               libseccomp-dev (>= 2.1.1),
               libmicrohttpd-dev (>= 0.9.33),
               check (>= 0.10.0),
               pkg-config (>= 0.29),
               libsecret-1-dev (>= 0.18.4),
               libcjson-dev (>= 1.7.10-1.1),
               libqrencode-dev (>= 3),

Package: oidc-agent-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
                liboidc-agent4 (= ${binary:Version}),
                jq,
                libqrencode4 | libqrencode3,
Suggests: oidc-agent-desktop (= ${source:Version})
Replaces: oidc-agent (<< 4.1.0-1)
Description: Commandline tool for obtaining OpenID Connect Access tokens on the commandline
 oidc-agent is a set of tools to manage OpenID Connect tokens and make them
 easily usable from the command line. These tools follow ssh-agent design,
 so OIDC tokens can be handled in a similar way as ssh keys.  The agent
 stores multiple configurations and their associated refresh tokens
 securely.
 This tool consists of five programs:
   - oidc-agent that handles communication with the OIDC provider
   - oidc-gen that generates config files
   - oidc-add that loads (and unloads) configuration into the agent
   - oidc-token that can be used to get access token on the command line
   - oidc-keychain that re-uses oidc-agent across logins

Package: liboidc-agent4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends},
Recommends: oidc-agent-cli (= ${binary:Version})
Description: oidc-agent library
 oidc-agent is a commandline tool for obtaining OpenID Connect Access tokens on
 the commandline.
 .
 This package provides a library for easy communication with oidc-agent.
 Applications can use this library to request access token from oidc-agent.

Package: liboidc-agent-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, liboidc-agent4 (= ${binary:Version})
Description: oidc-agent library development files
 oidc-agent is a commandline tool for obtaining OpenID Connect Access tokens on
 the commandline.
 .
 This package provides the development files (static library and headers)
 required for building applications with liboidc-agent, a library for
 communicating with oidc-agent.

Package: oidc-agent-desktop
Architecture: all
Depends: ${misc:Depends},
            oidc-agent-cli (>= ${source:Version}),
            xterm | x-terminal-emulator,
            yad
Replaces: oidc-agent (<< 4.1.0-1), oidc-agent-prompt (<< 4.1.0-1)
Description: oidc-agent desktop integration
 Desktop integration files for oidc-gen and oidc-agent and for creating the user
 dialog.
 .
 This package adds two ways for supporting the usage of oidc-agent in a
 graphical environment.
 The .desktop file to leverage browser integration to support the authorization
 code flow in oidc-gen.
 The Xsession file to consistently set the environment variables necessary to
 for client tools to connect to the oidc-agent daemon.
 .
 This package also provides a bash script as an interface to create different
 dialog windows. It uses yad to create windows.

Package: oidc-agent
Architecture: any
Depends: ${misc:Depends},
            oidc-agent-desktop (= ${source:Version})
Description: Commandline tools for obtaining OpenID Connect Access tokens
 oidc-agent is a set of tools to manage OpenID Connect tokens and make them
 easily usable from the command line.
 .
 This metapackage bundles the commandline tools and the files for desktop
 integration

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

# USE CJSON_SO / USE_LIST_SO:
# If set to 1 it will not use the shipped version, but the shared library
# installed via the corresponding lib[cjson|list]dev packages
export USE_CJSON_SO = 1
export USE_LIST_SO = 0

export BASEDIR 			= $(shell pwd)/debian/tmp
export BIN_AFTER_INST_PATH      = /usr
export BIN_PATH                 = $(BASEDIR)/usr
export MAN_PATH                 = $(BASEDIR)/usr/share/man
export CONFIG_PATH              = $(BASEDIR)/etc
export CONFIG_AFTER_INST_PATH   = /etc
export BASH_COMPLETION_PATH     = $(BASEDIR)/usr/share/bash-completion/completions
export DESKTOP_APPLICATION_PATH = $(BASEDIR)/usr/share/applications
export XSESSION_PATH            = $(BASEDIR)/etc/X11
export PROMPT_MAN_PATH          = $(BASEDIR)/usr/share/man
export PROMPT_BIN_PATH          = $(BASEDIR)/usr
#export AGENTSERVER_BIN_PATH     = $(BASEDIR)/usr
#export AGENTSERVER_MAN_PATH     = $(BASEDIR)/usr/share/man
export LIB_PATH                 = $(BASEDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)
export LIBDEV_PATH              = $(BASEDIR)/usr/lib/$(DEB_TARGET_MULTIARCH)
export INCLUDE_PATH             = $(BASEDIR)/usr/include

%:
	dh $@ --no-parallel

# strange: without the override install_lib seems to happen, install_lib-dev not
override_dh_auto_install:
		make install install_lib install_lib-dev

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/oidc-agent-$1\.tar\.gz/ \
  https://github.com/indigo-dc/oidc-agent/tags .*/v?(\d\S+)\.tar\.gz
